# jQuery UI effect

## Overview

[edit]

### effect( effect, [options], [speed], [callback] )

Uses a specific effect on an element (without the show/hide logic).

### Dependencies

- Effects Core

### Example

- Demo
- View Source

Apply the effect explode if you click on the element.

    $("p").click(function () {
          $("div").effect("explode");
        });

    <!DOCTYPE html>
    <html>
    <head>
      <link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css" rel="stylesheet" type="text/css"/>
      <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4/jquery.min.js"></script>
      <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js"></script>
      <script src="http://ui.jquery.com/latest/ui/effects.core.js"></script>
    <script src="http://ui.jquery.com/latest/ui/effects.explode.js"></script>
    <style type="text/css">
      div { margin: 0 auto; width: 100px; height: 80px; background: blue; position: relative; }
    </style>
      <script>
      $(document).ready(function() {
        $("p").click(function () {
          $("div").effect("explode");
        });
      });
      </script>
    </head>
    <body style="font-size:62.5%;">

    <p>Click me</p><div></div>

    </body>
    </html>

## Arguments

- ### effect

  Type:
    String

  The effect to be used. Possible values: 'blind', 'bounce', 'clip', 'drop', 'explode', 'fold', 'highlight', 'puff', 'pulsate', 'scale', 'shake', 'size', 'slide', 'transfer'.

- ### options

  Type:
    Hash
  Optional

  A object/hash including specific options for the effect.

- ### speed

  Type:
    String, Number
  Optional

  A string representing one of the three predefined speeds ("slow", "normal", or "fast") or the number of milliseconds to run the animation (e.g. 1000).

- ### callback

  Type:
    Function
  Optional

  A function that is called after the effect is completed.